OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::FlirReader Class Reference

`#include <flirReader.hpp>`

Inherits op::Producer.

## Public Member Functions
| FlirReader (const std::string &cameraParametersPath, const Point< int > &cameraResolution, const bool undistortImage=true, const int cameraIndex=-1)
virtual | ~FlirReader ()
std::vector< cv::Mat > | getCameraMatrices ()
std::vector< cv::Mat > | getCameraExtrinsics ()
std::vector< cv::Mat > | getCameraIntrinsics ()
std::string | getNextFrameName ()
bool | isOpened () const
void | release ()
double | get (const int capProperty)
void | set (const int capProperty, const double value)
Public Member Functions inherited from op::Producer
| Producer (const ProducerType type, const std::string &cameraParameterPath, const bool undistortImage, const int mNumberViews)
virtual | ~Producer ()
cv::Mat | getFrame ()
std::vector< cv::Mat > | getFrames ()
void | setProducerFpsMode (const ProducerFpsMode fpsMode)
ProducerType | getType ()
double | get (const ProducerProperty property)
void | set (const ProducerProperty property, const double value)

## Additional Inherited Members
Protected Member Functions inherited from op::Producer
void | checkFrameIntegrity (cv::Mat &frame)
void | flipAndRotate (cv::Mat &cvMat) const
void | ifEndedResetOrRelease ()
void | keepDesiredFrameRate ()

## Detailed Description

FlirReader is an abstract class to extract frames from a FLIR stereo-camera system. Its interface imitates the cv::VideoCapture class, so it can be used quite similarly to the cv::VideoCapture class. Thus, it is quite similar to VideoReader and WebcamReader.

## Constructor & Destructor Documentation

op::FlirReader::FlirReader | ( | const std::string & | cameraParametersPath,
|  | const Point< int > & | cameraResolution,
|  | const bool | undistortImage = `true`,
|  | const int | cameraIndex = `-1`
| ) |  |
| explicit

Constructor of FlirReader. It opens all the available FLIR cameras

virtual op::FlirReader::~FlirReader | ( |  | ) |
| virtual

## Member Function Documentation

double op::FlirReader::get | ( | const int | capProperty | ) |
| virtual

This function is a wrapper of cv::VideoCapture::get. It allows getting different properties of the Producer (fps, width, height, etc.). See the OpenCV documentation for all the available properties.

Parameters

  capProperty | int indicating the property to be modified.

Returns
  double returning the property value.

Implements op::Producer.

std::vector<cv::Mat> op::FlirReader::getCameraExtrinsics | ( |  | ) |
| virtual

It retrieves and returns the camera extrinsic parameters from the frames producer. Virtual class because FlirReader implements their own.

Returns
  std::vector<cv::Mat> with the camera extrinsic parameters.

Reimplemented from op::Producer.

std::vector<cv::Mat> op::FlirReader::getCameraIntrinsics | ( |  | ) |
| virtual

It retrieves and returns the camera intrinsic parameters from the frames producer. Virtual class because FlirReader implements their own.

Returns
  std::vector<cv::Mat> with the camera intrinsic parameters.

Reimplemented from op::Producer.

std::vector<cv::Mat> op::FlirReader::getCameraMatrices | ( |  | ) |
| virtual

It retrieves and returns the camera matrixes from the frames producer. Virtual class because FlirReader implements their own.

Returns
  std::vector<cv::Mat> with the camera matrices.

Reimplemented from op::Producer.

std::string op::FlirReader::getNextFrameName | ( |  | ) |
| virtual

This function returns a unique frame name (e.g., the frame number for video, the frame counter for webcam, the image name for image directory reader, etc.).

Returns
  std::string with an unique frame name.

Implements op::Producer.

bool op::FlirReader::isOpened | ( |  | ) | const
| virtual

This function returns whether the Producer instance is still opened and able to retrieve more frames.

Returns
  bool indicating whether the Producer is opened.

Implements op::Producer.

void op::FlirReader::release | ( |  | ) |
| virtual

This function releases and closes the Producer. After it is called, no more frames can be retrieved from Producer::getFrames.

Implements op::Producer.

void op::FlirReader::set | ( | const int | capProperty,
|  | const double | value
| ) |  |
| virtual

This function is a wrapper of cv::VideoCapture::set. It allows setting different properties of the Producer (fps, width, height, etc.). See the OpenCV documentation for all the available properties.

Parameters

  capProperty | int indicating the property to be modified.
  value | double indicating the new value to be assigned.

Implements op::Producer.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/producer/flirReader.hpp